## calibre 0.8.8+dfsg

=== debian/changelog ===
calibre (0.8.8+dfsg-1ubuntu1) oneiric; urgency=low

  * fix_ftbfs_as-needed.patch: add missing QtGui lib when linking 
    progress_indicator with --as-needed. This fixes a FTBFS (LP: #828304) and
    allow calibre to run (LP: #826835).  Thanks Jason Conti for the help!

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Thu, 18 Aug 2011 22:12:26 +0200

calibre (0.8.8+dfsg-1) unstable; urgency=low

  [ Martin Pitt ]
  * New upstream version.
  * Fix wrong libmagick4 transition bug number in previous changelog.
  * manpages-installation.patch: Update for new upstream version.
  * debian/control: Fix spelling errors. Thanks Paul Stewart!
    (LP: #803684, LP: #803676)

  [ Michael Wild ]
  * Don't remove pyPdf from installation, it is a modified version
    (Closes: #631266, LP: #800551)
    - debian/control: drop dependencies on python-pypdf
    - debian/rules: do not remove pyPdf directory
    - debian/calibre.install: install usr/lib/calibre/pyPdf

 -- Martin Pitt <mpitt@debian.org>  Thu, 07 Jul 2011 09:35:43 +0200

=== debian/control ===
Source: calibre
Section: text
Priority: extra
Build-Depends: cdbs (>= 0.4.43), 
 debhelper (>= 7),
 dh-buildinfo,  
 python2.7-dev,
 python-setuptools,
 txt2man,
 python-qt4-dev (>= 4.7.3),
 python-imaging, 
 python-lxml, 
 python-mechanize, 
 python-beautifulsoup, 
 python-dateutil, 
 python-django-tagging, 
 python-pkg-resources,
 python-cssutils (>= 0.9.7~),
 python-encutils,
 python-cherrypy3,
 python-pyparsing,
 python-routes,
 pyqt4-dev-tools,
 libmagickwand-dev,
 libsqlite3-dev,
 python-sip-dev,
 libqt4-dev, 
 libicu-dev, 
 libpoppler-qt4-dev,
 libpodofo-dev,
 libboost-dev,
 libchm-dev
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Miriam Ruiz <little_miry@yahoo.es>
Uploaders: Martin Pitt <mpitt@debian.org>
Standards-Version: 3.9.1
XS-Python-Version: >= 2.7
Homepage: http://calibre-ebook.com
Vcs-Bzr: https://code.launchpad.net/~calibre-packagers/calibre/debian

Package: calibre
Architecture: all
Depends: python2.7,
 python-dbus,
 python-imaging, 
 python-lxml, 
 python-mechanize,
 python-beautifulsoup,
 python-pkg-resources,
 python-cssutils (>= 0.9.7~),
 python-encutils (>= 0.9.5),
 python-cherrypy3 (>= 3.1.1), 
 python-dateutil,
 python-django-tagging,
 python-qt4 (>= 4.8.3-2),
 python-pyparsing,
 python-routes,
 xdg-utils, 
 imagemagick,
 poppler-utils,
 ttf-liberation,
 calibre-bin (>= ${source:Version}),
 ${misc:Depends}
Recommends: python-dnspython
Description: e-book converter and library management
 Calibre is meant to be a complete e-library solution. It includes library
 management, format conversion, news feeds to e-book conversion as well as
 e-book reader sync features.
 .
 Calibre is primarily an e-book cataloging program. It manages your e-book
 collection for you. It is designed around the concept of the logical book,
 i.e. a single entry in the database that may correspond to e-books in several
 formats. It also supports conversion from a dozen different e-book formats to
 LRF and EPUB. A graphical interface to the conversion software can be
 accessed easily by just clicking the "Convert E-books" button.
 .
 Supported input formats are: MOBI, LIT, PRC, EPUB, ODT, HTML, CBR, CBZ, RTF,
 TXT, PDF and LRS.
 .
 Calibre has a modular device driver design that makes adding support for
 different e-reader devices easy. At the moment, it has support for the
 SONY PRS 500/505/700 and the iPhone (with the stanza reader software).
 Syncing supports updating metadata on the device from metadata in the library
 and the creation of collections on the device based on the tags defined in
 the library view. If an book has more than one format available, calibre
 automatically chooses the best format when uploading to the device.
 .
 Calibre can automatically fetch news from a number of websites/RSS feeds,
 format the news into a e-book and upload to a connected device. There is
 support for generating LRF/EPUB e-books. The e-books include the *full*
 versions of the articles, not just the summaries.
 .
 Calibre has also a built-in e-book viewer that can display all the major e-book
 formats.

Package: calibre-bin
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 ${sip:Depends},
 python2.7
Recommends: calibre (>= ${source:Version})
Description: e-book converter and library management
 Calibre is meant to be a complete e-library solution. It includes library
 management, format conversion, news feeds to e-book conversion as well as
 e-book reader sync features.
 .
 Calibre is primarily an e-book cataloging program. It manages your e-book
 collection for you. It is designed around the concept of the logical book,
 i.e. a single entry in the database that may correspond to e-books in several
 formats. It also upports conversion from a dozen different e-book formats to
 LRF and EPUB. A graphical interface to the conversion software can be
 accessed easily by just clicking the "Convert E-books" button.
 .
 Supported input formats are: MOBI, LIT, PRC, EPUB, ODT, HTML, CBR, CBZ, RTF,
 TXT, PDF and LRS.
 .
 Calibre has a modular device driver design that makes adding support for
 different e-reader devices easy. At the moment, it has support for the
 SONY PRS 500/505/700 and the iPhone (with the stanza reader software).
 Syncing supports updating metadata on the device from metadata in the library
 and the creation of collections on the device based on the tags defined in
 the library view. If an book has more than one format available, calibre
 automatically chooses the best format when uploading to the device.
 .
 Calibre can automatically fetch news from a number of websites/RSS feeds,
 format the news into a e-book and upload to a connected device. There is
 support for generating LRF/EPUB e-books. The e-books include the *full*
 versions of the articles, not just the summaries.
 .
 Calibre has also a built-in e-book viewer that can display all the major e-book
 formats.
 .
 This package contains the compiled architecture dependent plugins.

## calibre 0.8.21+dfsg

=== debian/changelog ===
calibre (0.8.21+dfsg-1) unstable; urgency=low

  * New upstream release. (Closes: #642517)
  * debian/control: Revert accidental X-Ubuntu-Original-Maintainer change.
    (Closes: #644029)

 -- Martin Pitt <mpitt@debian.org>  Tue, 04 Oct 2011 10:29:28 +0200

=== debian/control ===
--- 
+++ 
@@ -30,8 +30,7 @@
  libpodofo-dev,
  libboost-dev,
  libchm-dev
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Miriam Ruiz <little_miry@yahoo.es>
+Maintainer: Miriam Ruiz <little_miry@yahoo.es>
 Uploaders: Martin Pitt <mpitt@debian.org>
 Standards-Version: 3.9.1
 XS-Python-Version: >= 2.7

## calibre 0.8.25+dfsg

=== debian/changelog ===
calibre (0.8.25+dfsg-1) unstable; urgency=low

  [ Ritesh Raj Sarraf ]
  * New upstream release.

  [ Martin Pitt ]
  * debian/control: Bump python-qt4 build/binary dependencies against PyQt4 to
    >= 4.8. Yay for continuous ABI breaks. (Closes: #647268, #647819)

 -- Martin Pitt <mpitt@debian.org>  Fri, 11 Nov 2011 09:01:24 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  python2.7-dev,
  python-setuptools,
  txt2man,
- python-qt4-dev (>= 4.7.3),
+ python-qt4-dev (>= 4.8),
  python-imaging, 
  python-lxml, 
  python-mechanize, 
@@ -51,7 +51,7 @@
  python-cherrypy3 (>= 3.1.1), 
  python-dateutil,
  python-django-tagging,
- python-qt4 (>= 4.8.3-2),
+ python-qt4 (>= 4.8),
  python-pyparsing,
  python-routes,
  xdg-utils,

## calibre 0.8.28+dfsg

=== debian/changelog ===
calibre (0.8.28+dfsg-1) unstable; urgency=low

  * debian/rules get-orig-source: Upstream switched to *.tar.xz, update
    accordingly.
  * New upstream release.

 -- Martin Pitt <mpitt@debian.org>  Tue, 06 Dec 2011 08:33:19 +0100

=== debian/rules ===
#!/usr/bin/make -f

SETUP=python2.7 setup.py

# This filters out *.so for the package "calibre". With this, we can
# install usr/lib in calibre.install and just leave out the binary
# bits.
DEB_DH_INSTALL_ARGS = $(if $(findstring -bin,$(cdbs_curpkg)),,-X*.so) --fail-missing

include /usr/share/cdbs/1/rules/debhelper.mk

common-build-arch::
	[ -d build ] || $(SETUP) build

common-install-arch common-install-indep:: debian/tmp
	dh_buildinfo
	dh_sip

debian/tmp:
	CALIBRE_CONFIG_DIRECTORY=debian/tmp/config $(SETUP) install --root=debian/tmp/usr

	# remove bundled python libraries which are provided by system
	# packages
	rm -r debian/tmp/usr/lib/calibre/cherrypy
	rm -r debian/tmp/usr/lib/calibre/routes

	rm debian/tmp/usr/lib/calibre/calibre/utils/pyparsing.py
	find debian/tmp/ -name '*.py' | xargs sed -i 's/calibre.utils.pyparsing/pyparsing/g'

	# not needed
	rm debian/tmp/usr/bin/calibre-uninstall

	# upstream's version is pretty crackful and suid root; replace with
	# simple script to use udisks --mount (just in case we don't have
	# automount) and eject
	rm debian/tmp/usr/bin/calibre-mount-helper
	install -m 755 debian/local/calibre-mount-helper debian/tmp/usr/bin/

	# remove hardcoded prs500 fonts, so that calibre falls back to
	# using the liberation ones in /usr/share/fonts/
	rm -r debian/tmp/usr/share/calibre/fonts/prs500/
	# do not ship a copy of ttf-liberation
	rm -r debian/tmp/usr/share/calibre/fonts/liberation/
	ln -s /usr/share/fonts/truetype/ttf-liberation/ debian/tmp/usr/share/calibre/fonts/liberation

	# fix executable permissions
	find debian/tmp/usr/lib/calibre/calibre -type f | xargs chmod a-x

	# add icon
	mkdir -p debian/tmp/usr/share/pixmaps/
	cp src/calibre/manual/resources/logo.png debian/tmp/usr/share/pixmaps/calibre.png

	# remove bogus files on KFreeBSD installation
	rm -rf debian/tmp/config

	# fix "env python2" style hashbangs
	find debian/tmp -type f | xargs sed -i '1 { /^#!.*python/ s_^.*$$_#!/usr/bin/python2.7_ }'

install/calibre::
	# Create and install some of the man pages
	$(MAKE) -C debian/man VERSION="$(MAIN_VERSION)"

clean::
	rm -rf debian/orig
	[ ! -d build ] || $(SETUP) build -c
	$(MAKE) -C debian/man clean

# Downloads the current upstream release according to
# debian/changelog, and replace the non-free prs500 TTFs with symlinks
# to their free liberation fonts counterparts. This also updates the unpacked
# source tree to the new upstream version.
get-orig-source:
	set -e; \
	V=`dpkg-parsechangelog | sed -rn '/^Version:/ {s/^Version: ([0-9.]+).*$$/\1/; p}'`; \
	mkdir -p debian/orig; cd debian/orig; \
	wget -O - http://status.calibre-ebook.com/dist/src | xz -cd | tar x; \
	D=`pwd`; rm -f calibre*/src/odf/thumbnail.py; \
	cd calibre*/resources/fonts; \
	rm prs500/tt0003m_.ttf; ln -s ../liberation/LiberationSans-Regular.ttf prs500/tt0003m_.ttf; \
	rm prs500/tt0011m_.ttf; ln -s ../liberation/LiberationSerif-Regular.ttf prs500/tt0011m_.ttf; \
	rm prs500/tt0419m_.ttf; ln -s ../liberation/LiberationMono-Regular.ttf prs500/tt0419m_.ttf; \
	cd $$D; tar c . | xz -9 > ../../../calibre_$$V+dfsg.orig.tar.xz; \
	cd ../..; rm -r debian/orig; \
	find -mindepth 1 -maxdepth 1 ! -name '.bzr*' ! -name debian | xargs rm -rf; \
	[ ! -e setup.py ] || tar xzf ../calibre_$$V+dfsg.orig.tar.xz  --strip-components 2

## calibre 0.8.29+dfsg

=== debian/changelog ===
calibre (0.8.29+dfsg-1) unstable; urgency=low

  * New upstream release.
  * debian/control, debian/rules: Always depend on the python-qt4 which we
    build against. This will still not stop the PyQt4 guys to break their ABI
    with every single microrelease, but at least the dependency will
    automatically become tighter with every calibre rebuild now.
    (Closes: #651496)
  * debian/control: Drop python-django-tagging dependency, not used any more.
    (Closes: #651156)
  * debian/rules: Fix half of the manpages landing in the wrong path.
    (Closes: #646674)
  * debian/control: Drop dependency to python-encutils. calibre does not use
    it explicitly any more. (Closes: #649558)

 -- Martin Pitt <mpitt@debian.org>  Tue, 20 Dec 2011 16:02:01 +0100

=== debian/control ===
--- 
+++ 
@@ -13,10 +13,8 @@
  python-mechanize, 
  python-beautifulsoup, 
  python-dateutil, 
- python-django-tagging, 
  python-pkg-resources,
  python-cssutils (>= 0.9.7~),
- python-encutils,
  python-cherrypy3,
  python-pyparsing,
  python-routes,
@@ -47,11 +45,9 @@
  python-beautifulsoup,
  python-pkg-resources,
  python-cssutils (>= 0.9.7~),
- python-encutils (>= 0.9.5),
  python-cherrypy3 (>= 3.1.1), 
  python-dateutil,
- python-django-tagging,
- python-qt4 (>= 4.8),
+ python-qt4 (>= ${pyqt:Version}),
  python-pyparsing,
  python-routes,
  xdg-utils,

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,7 @@
 # install usr/lib in calibre.install and just leave out the binary
 # bits.
 DEB_DH_INSTALL_ARGS = $(if $(findstring -bin,$(cdbs_curpkg)),,-X*.so) --fail-missing
+DEB_DH_GENCONTROL_ARGS = -- -Vpyqt:Version=$(shell dpkg-query -f'$${Version}' -W python-qt4)
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 
@@ -56,6 +57,12 @@
 	# fix "env python2" style hashbangs
 	find debian/tmp -type f | xargs sed -i '1 { /^#!.*python/ s_^.*$$_#!/usr/bin/python2.7_ }'
 
+	# half of the manpages land in the wrong path upstream
+	mkdir -p debian/tmp/usr/share/man/man1
+	mv debian/tmp/usr/share/calibre/man/man1/* debian/tmp/usr/share/man/man1
+	rmdir debian/tmp/usr/share/calibre/man/man1
+	rmdir debian/tmp/usr/share/calibre/man
+
 install/calibre::
 	# Create and install some of the man pages
 	$(MAKE) -C debian/man VERSION="$(MAIN_VERSION)"

## calibre 0.8.34+dfsg

=== debian/changelog ===
calibre (0.8.34+dfsg-1) unstable; urgency=low

  * New upstream version. (Closes: #654751)
  * debian/rules: Do not install calibre copy of chardet; instead, add
    build/binary python-chardet dependency.
  * Add disable_plugins.py: Disable plugin dialog. It uses a totally
    non-authenticated and non-trusted way of installing arbitrary code.
    (Closes: #640026)
  * debian/rules: Install with POSIX locale, to avoid installing translated
    manpages into the standard locations. (Closes: #646674)

 -- Martin Pitt <mpitt@debian.org>  Sat, 07 Jan 2012 11:22:54 +0100

=== debian/control ===
--- 
+++ 
@@ -18,6 +18,7 @@
  python-cherrypy3,
  python-pyparsing,
  python-routes,
+ python-chardet,
  pyqt4-dev-tools,
  libmagickwand-dev,
  libsqlite3-dev,
@@ -50,6 +51,7 @@
  python-qt4 (>= ${pyqt:Version}),
  python-pyparsing,
  python-routes,
+ python-chardet,
  xdg-utils, 
  imagemagick,
  poppler-utils,

## calibre 0.8.38+dfsg

=== src/calibre/manual/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS   =
SPHINXBUILD  = sphinx-build
PAPER        =

ALLSPHINXOPTS = -d .build/doctrees -D latex_paper_size=$(PAPER) \
                $(SPHINXOPTS) .

.PHONY: help clean html web htmlhelp latex changes linkcheck

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  web       to make files usable by Sphinx.web"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"

clean:
	rm -rf .build/* cli

html:
	mkdir -p .build/html .build/doctrees
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) .build/html
	@echo
	@echo "Build finished. The HTML pages are in .build/html."

qthelp:
	mkdir -p .build/qthelp .build/doctrees
	$(SPHINXBUILD) -b customqt $(ALLSPHINXOPTS) .build/qthelp
	@echo
	@echo "Build finished." 

epub:
	mkdir -p .build/qthelp .build/doctrees
	$(SPHINXBUILD) -b myepub $(ALLSPHINXOPTS) .build/epub
	@echo
	@echo "Build finished."



web:
	mkdir -p .build/web .build/doctrees
	$(SPHINXBUILD) -b web $(ALLSPHINXOPTS) .build/web
	@echo
	@echo "Build finished; now you can run"
	@echo "  python -m sphinx.web .build/web"
	@echo "to start the server."

htmlhelp:
	mkdir -p .build/htmlhelp .build/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) .build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in .build/htmlhelp."

latex:
	mkdir -p .build/latex .build/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) .build/latex
	@echo
	@echo "Build finished; the LaTeX files are in .build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	mkdir -p .build/changes .build/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) .build/changes
	@echo
	@echo "The overview file is in .build/changes."

linkcheck:
	mkdir -p .build/linkcheck .build/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) .build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in .build/linkcheck/output.txt."

=== debian/changelog ===
calibre (0.8.38+dfsg-1~oneiric1) oneiric-backports; urgency=low

  * Automated backport upload; no source changes.

 -- Micah Gersten <launchpad@micahscomputing.com>  Fri, 23 Mar 2012 18:30:01 +0000

calibre (0.8.38+dfsg-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Bump Standards-Version to 3.9.2. No changes necessary.

 -- Martin Pitt <mpitt@debian.org>  Fri, 10 Feb 2012 07:35:00 +0100

=== debian/control ===
--- 
+++ 
@@ -31,7 +31,7 @@
  libchm-dev
 Maintainer: Miriam Ruiz <little_miry@yahoo.es>
 Uploaders: Martin Pitt <mpitt@debian.org>
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 XS-Python-Version: >= 2.7
 Homepage: http://calibre-ebook.com
 Vcs-Bzr: https://code.launchpad.net/~calibre-packagers/calibre/debian

=== debian/watch ===
# watch control file for uscan
# see uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# remove +dfsg upstream version suffix
opts=dversionmangle=s/\+dfsg$// \
  http://sf.net/calibre/calibre-(.*)\.tar\.gz

## calibre 0.8.38+dfsg-1+6.0.1trisquel1

=== debian/changelog ===
calibre (0.8.38+dfsg-1+6.0.1trisquel1) toutatis; urgency=low

  * Remove steer to non-free software from resources/quick_start.epub
    #5426

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 24 Apr 2015 17:39:57 +0000

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
  libpodofo-dev,
  libboost-dev,
  libchm-dev
-Maintainer: Miriam Ruiz <little_miry@yahoo.es>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Uploaders: Martin Pitt <mpitt@debian.org>
 Standards-Version: 3.9.2
 XS-Python-Version: >= 2.7

## calibre 0.8.41+dfsg

=== debian/changelog ===
calibre (0.8.41+dfsg-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Add libpoppler-private-dev build dependency, thanks Pino
    Toscano. (Closes: #660114)

 -- Martin Pitt <mpitt@debian.org>  Sat, 03 Mar 2012 22:02:28 +0100

=== debian/control ===
--- 
+++ 
@@ -26,10 +26,11 @@
  libqt4-dev, 
  libicu-dev, 
  libpoppler-qt4-dev,
+ libpoppler-private-dev,
  libpodofo-dev,
  libboost-dev,
  libchm-dev
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Miriam Ruiz <little_miry@yahoo.es>
 Uploaders: Martin Pitt <mpitt@debian.org>
 Standards-Version: 3.9.2
 XS-Python-Version: >= 2.7

=== debian/rules ===
--- 
+++ 
@@ -18,12 +18,13 @@
 	dh_sip
 
 debian/tmp:
-	CALIBRE_CONFIG_DIRECTORY=debian/tmp/config $(SETUP) install --root=debian/tmp/usr
+	env -u LANG -u LC_ALL -u LANGUAGE -u LC_MESSAGES CALIBRE_CONFIG_DIRECTORY=debian/tmp/config $(SETUP) install --root=debian/tmp/usr
 
 	# remove bundled python libraries which are provided by system
 	# packages
 	rm -r debian/tmp/usr/lib/calibre/cherrypy
 	rm -r debian/tmp/usr/lib/calibre/routes
+	rm -r debian/tmp/usr/lib/calibre/chardet
 
 	rm debian/tmp/usr/lib/calibre/calibre/utils/pyparsing.py
 	find debian/tmp/ -name '*.py' | xargs sed -i 's/calibre.utils.pyparsing/pyparsing/g'
@@ -65,7 +66,7 @@
 
 install/calibre::
 	# Create and install some of the man pages
-	$(MAKE) -C debian/man VERSION="$(MAIN_VERSION)"
+	env -u LANG -u LC_ALL -u LANGUAGE -u LC_MESSAGES $(MAKE) -C debian/man VERSION="$(MAIN_VERSION)"
 
 clean::
 	rm -rf debian/orig

## calibre 0.8.49+dfsg

=== debian/changelog ===
calibre (0.8.49+dfsg-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release. (Closes: #640021)
  * debian/control, debian/rules: Remove internal feedparser Python module. Add
    python-feedparser as binary dependency. (Closes: #555352)
  * debian/control: Bump Standards-Version (no changes needed).
  * debian/watch: Upstream switched to *.tar.xz, update accordingly. (Closes:
    #618948)
  * debian/rules: Fix images permissions.

 -- Kefu Chai <tchaikov@gmail.com>  Sun, 29 Apr 2012 20:06:10 +0800

=== debian/control ===
--- 
+++ 
@@ -32,7 +32,7 @@
  libchm-dev
 Maintainer: Miriam Ruiz <little_miry@yahoo.es>
 Uploaders: Martin Pitt <mpitt@debian.org>
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 XS-Python-Version: >= 2.7
 Homepage: http://calibre-ebook.com
 Vcs-Bzr: https://code.launchpad.net/~calibre-packagers/calibre/debian
@@ -49,6 +49,7 @@
  python-cssutils (>= 0.9.7~),
  python-cherrypy3 (>= 3.1.1), 
  python-dateutil,
+ python-feedparser,
  python-qt4 (>= ${pyqt:Version}),
  python-pyparsing,
  python-routes,

## calibre 0.8.51%2Bdfsg1

=== debian/changelog ===
calibre (0.8.51+dfsg1-0.1+deb7u1) wheezy-security; urgency=high

  * Non-maintainer upload by the LTS Team.
  * CVE-2016-10187: Ensure javascript cannot read from local files.
    Closes: 853004.

 -- Brian May <bam@debian.org>  Tue, 14 Mar 2017 17:36:04 +1100

calibre (0.8.51+dfsg1-0.1) testing-proposed-updates; urgency=low

  * Non-maintainer upload.
  
  [ Arno Töll ]
  * Remove quick_start.epub from the tarball, do not install said file to the
    calibre binary package. See #653328 for background. Upstream version
    0.8.64 includes this file with a changed license again, so no change is
    needed with respect to Debian. (Closes: #653328)
  
  [ Martin Pitt ]
  * debian/control: Fix "upports" typo. (Closes: #678686)
  * debian/control, debian/rules: ttf-liberation is no more, move to
    fonts-liberation. Thanks to Kan-Ru Chen! (Closes: #674838)

 -- Stephen Kitt <steve@sk2.org>  Wed, 09 Jan 2013 08:12:30 +0100

calibre (0.8.51+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Rebuild against python-sip du jour. (Closes: #671809)
  * debian/control: Bump python-cssutils dependency to >= 0.9.0, to ensure
    that we have the "validate" keyword available.

 -- Martin Pitt <mpitt@debian.org>  Mon, 14 May 2012 12:13:07 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  python-beautifulsoup, 
  python-dateutil, 
  python-pkg-resources,
- python-cssutils (>= 0.9.7~),
+ python-cssutils (>= 0.9.9~),
  python-cherrypy3,
  python-pyparsing,
  python-routes,
@@ -46,7 +46,7 @@
  python-mechanize,
  python-beautifulsoup,
  python-pkg-resources,
- python-cssutils (>= 0.9.7~),
+ python-cssutils (>= 0.9.9~),
  python-cherrypy3 (>= 3.1.1), 
  python-dateutil,
  python-feedparser,
@@ -57,7 +57,7 @@
  xdg-utils, 
  imagemagick,
  poppler-utils,
- ttf-liberation,
+ fonts-liberation,
  calibre-bin (>= ${source:Version}),
  ${misc:Depends}
 Recommends: python-dnspython
@@ -107,7 +107,7 @@
  Calibre is primarily an e-book cataloging program. It manages your e-book
  collection for you. It is designed around the concept of the logical book,
  i.e. a single entry in the database that may correspond to e-books in several
- formats. It also upports conversion from a dozen different e-book formats to
+ formats. It also supports conversion from a dozen different e-book formats to
  LRF and EPUB. A graphical interface to the conversion software can be
  accessed easily by just clicking the "Convert E-books" button.
  .

## calibre 0.8.51+dfsg

=== debian/changelog ===
calibre (0.8.51+dfsg-1ubuntu4) quantal; urgency=low

  * No-change rebuild for libpoppler26 -> libpoppler27 transition.

 -- Ilya Barygin <randomaction@ubuntu.com>  Thu, 06 Sep 2012 22:12:55 +0400

calibre (0.8.51+dfsg-1ubuntu3) quantal; urgency=low

  * Rebuild for imagemagick 6.7.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 13 Jul 2012 10:53:12 +0100

calibre (0.8.51+dfsg-1ubuntu2) quantal; urgency=low

  * No change rebuild for libpoppler26 (poppler 0.20.1-1ubuntu1)

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 22 Jun 2012 17:12:49 +1200

calibre (0.8.51+dfsg-1ubuntu1) quantal; urgency=low

  * Track API changes in libpoppler19 to libpoppler25 transition.

 -- Andy Whitcroft <apw@ubuntu.com>  Fri, 08 Jun 2012 15:58:59 +0100

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,8 @@
  libpodofo-dev,
  libboost-dev,
  libchm-dev
-Maintainer: Miriam Ruiz <little_miry@yahoo.es>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Miriam Ruiz <little_miry@yahoo.es>
 Uploaders: Martin Pitt <mpitt@debian.org>
 Standards-Version: 3.9.3
 XS-Python-Version: >= 2.7
@@ -57,7 +58,7 @@
  xdg-utils, 
  imagemagick,
  poppler-utils,
- fonts-liberation,
+ ttf-liberation,
  calibre-bin (>= ${source:Version}),
  ${misc:Depends}
 Recommends: python-dnspython
@@ -107,7 +108,7 @@
  Calibre is primarily an e-book cataloging program. It manages your e-book
  collection for you. It is designed around the concept of the logical book,
  i.e. a single entry in the database that may correspond to e-books in several
- formats. It also supports conversion from a dozen different e-book formats to
+ formats. It also upports conversion from a dozen different e-book formats to
  LRF and EPUB. A graphical interface to the conversion software can be
  accessed easily by just clicking the "Convert E-books" button.
  .

## calibre 0.8.51+dfsg1

=== src/calibre/manual/Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 
 html:
 	mkdir -p .build/html .build/doctrees
-	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) .build/html
+	$(SPHINXBUILD) -b html -t online $(ALLSPHINXOPTS) .build/html
 	@echo
 	@echo "Build finished. The HTML pages are in .build/html."

## calibre 0.9.0+dfsg

=== src/calibre/devices/usbobserver/Makefile ===
usbobserver.so : usbobserver.o
	gcc -arch i386 -arch ppc -bundle usbobserver.o -o usbobserver.so -framework Python -framework IOKit -framework CoreFoundation

usbobserver.o : usbobserver.c
	gcc -arch i386 -arch ppc -dynamic -I/Library/Frameworks/Python.framework/Versions/Current/Headers -c usbobserver.c -o usbobserver.o 

clean : 
	rm -f *.o *.so

=== debian/changelog ===
calibre (0.9.0+dfsg-1) unstable; urgency=low

  * New upstream release.
  * debian/control, debian/rules: ttf-liberation is no more, move to
    fonts-liberation. Thanks to Kan-Ru Chen! (Closes: #674838)
  * debian/calibre.install: Drop pyPdf, not shipped upstream any more.
  * debian/control: Add new python-netifaces dependency.

 -- Martin Pitt <mpitt@debian.org>  Wed, 03 Oct 2012 23:18:14 +0200

calibre (0.8.64+dfsg-1) unstable; urgency=low

  * New upstream release:
    - Update license of the quick start guide to be DFSG compatible. Thanks to
      Christophe Siraut for sorting this out! (Closes: #653328)
  * debian/control: Add new libmtp-dev build dependency.
  * debian/control: Stricter python-mechanize dependency. (Closes: #684616)

 -- Martin Pitt <mpitt@debian.org>  Thu, 16 Aug 2012 09:55:40 +0200

calibre (0.8.60+dfsg-1) unstable; urgency=low

  * New upstream release. (Closes: #677956)
  * debian/control: New upstream release uses poppler-utils directly, drop
    libpoppler-private-dev and libpoppler-qt4-dev build dependencies.
    (Closes: #679883)
  * Drop manpages-installation.patch, does not apply any more.
  * debian/control: Fix "upports" typo. (Closes: #678686)
  * debian/rules: Update source path for logo.png.
  * debian/rules: Drop manpage path installation fix, as upstream does not
    install manpages any more.
  * debian/calibre.install: install new file qtcurve/test_rendering.py.

 -- Martin Pitt <mpitt@debian.org>  Sat, 21 Jul 2012 18:14:54 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  python-qt4-dev (>= 4.8),
  python-imaging, 
  python-lxml, 
- python-mechanize, 
+ python-mechanize (>= 0.2.5), 
  python-beautifulsoup, 
  python-dateutil, 
  python-pkg-resources,
@@ -19,19 +19,19 @@
  python-pyparsing,
  python-routes,
  python-chardet,
+ python-netifaces,
  pyqt4-dev-tools,
  libmagickwand-dev,
  libsqlite3-dev,
  python-sip-dev,
  libqt4-dev, 
  libicu-dev, 
- libpoppler-qt4-dev,
- libpoppler-private-dev,
+ libmtp-dev, 
+ poppler-utils,
  libpodofo-dev,
  libboost-dev,
  libchm-dev
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Miriam Ruiz <little_miry@yahoo.es>
+Maintainer: Miriam Ruiz <little_miry@yahoo.es>
 Uploaders: Martin Pitt <mpitt@debian.org>
 Standards-Version: 3.9.3
 XS-Python-Version: >= 2.7
@@ -44,7 +44,7 @@
  python-dbus,
  python-imaging, 
  python-lxml, 
- python-mechanize,
+ python-mechanize (>= 0.2.5),
  python-beautifulsoup,
  python-pkg-resources,
  python-cssutils (>= 0.9.9~),
@@ -55,10 +55,11 @@
  python-pyparsing,
  python-routes,
  python-chardet,
+ python-netifaces,
  xdg-utils, 
  imagemagick,
  poppler-utils,
- ttf-liberation,
+ fonts-liberation,
  calibre-bin (>= ${source:Version}),
  ${misc:Depends}
 Recommends: python-dnspython
@@ -108,7 +109,7 @@
  Calibre is primarily an e-book cataloging program. It manages your e-book
  collection for you. It is designed around the concept of the logical book,
  i.e. a single entry in the database that may correspond to e-books in several
- formats. It also upports conversion from a dozen different e-book formats to
+ formats. It also supports conversion from a dozen different e-book formats to
  LRF and EPUB. A graphical interface to the conversion software can be
  accessed easily by just clicking the "Convert E-books" button.
  .

## calibre 0.9.11+dfsg

=== debian/changelog ===
calibre (0.9.11+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Add missing python-cssselect dependency.
  * Add python_multiarch_inc.patch: Use python-config instead of
    sysconfig.get_python_inc(), as the latter does not work with
    multiarch-split include files. (LP: #1094246)

 -- Martin Pitt <mpitt@debian.org>  Fri, 28 Dec 2012 14:31:49 +0100

=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
  python-dateutil, 
  python-pkg-resources,
  python-cssutils (>= 0.9.9~),
+ python-cssselect,
  python-cherrypy3,
  python-pyparsing,
  python-routes,
@@ -48,6 +49,7 @@
  python-beautifulsoup,
  python-pkg-resources,
  python-cssutils (>= 0.9.9~),
+ python-cssselect,
  python-cherrypy3 (>= 3.1.1), 
  python-dateutil,
  python-feedparser,

## calibre 0.9.18+dfsg

=== debian/changelog ===
calibre (0.9.18+dfsg-1) unstable; urgency=low

  * New upstream release. (Closes: #699700)
  * Unfuzz patches.
  * Add new libqt4-private-dev build dependency, required by this version.

 -- Martin Pitt <mpitt@debian.org>  Tue, 12 Feb 2013 16:45:34 +0100

=== debian/control ===
--- 
+++ 
@@ -26,6 +26,7 @@
  libsqlite3-dev,
  python-sip-dev,
  libqt4-dev, 
+ libqt4-private-dev,
  libicu-dev, 
  libmtp-dev, 
  poppler-utils,

=== debian/rules ===
--- 
+++ 
@@ -27,6 +27,7 @@
 	rm -r debian/tmp/usr/lib/calibre/chardet
 
 	rm debian/tmp/usr/lib/calibre/calibre/utils/pyparsing.py
+	rm debian/tmp/usr/lib/calibre/calibre/web/feeds/feedparser.py
 	find debian/tmp/ -name '*.py' | xargs sed -i 's/calibre.utils.pyparsing/pyparsing/g'
 
 	# not needed
@@ -41,28 +42,23 @@
 	# remove hardcoded prs500 fonts, so that calibre falls back to
 	# using the liberation ones in /usr/share/fonts/
 	rm -r debian/tmp/usr/share/calibre/fonts/prs500/
-	# do not ship a copy of ttf-liberation
+	# do not ship a copy of fonts-liberation
 	rm -r debian/tmp/usr/share/calibre/fonts/liberation/
-	ln -s /usr/share/fonts/truetype/ttf-liberation/ debian/tmp/usr/share/calibre/fonts/liberation
+	ln -s /usr/share/fonts/truetype/liberation/ debian/tmp/usr/share/calibre/fonts/liberation
 
 	# fix executable permissions
 	find debian/tmp/usr/lib/calibre/calibre -type f | xargs chmod a-x
+	find debian/tmp/usr/share/calibre/images -type f | xargs chmod a-x
 
 	# add icon
 	mkdir -p debian/tmp/usr/share/pixmaps/
-	cp src/calibre/manual/resources/logo.png debian/tmp/usr/share/pixmaps/calibre.png
+	cp manual/resources/logo.png debian/tmp/usr/share/pixmaps/calibre.png
 
 	# remove bogus files on KFreeBSD installation
 	rm -rf debian/tmp/config
 
 	# fix "env python2" style hashbangs
 	find debian/tmp -type f | xargs sed -i '1 { /^#!.*python/ s_^.*$$_#!/usr/bin/python2.7_ }'
-
-	# half of the manpages land in the wrong path upstream
-	mkdir -p debian/tmp/usr/share/man/man1
-	mv debian/tmp/usr/share/calibre/man/man1/* debian/tmp/usr/share/man/man1
-	rmdir debian/tmp/usr/share/calibre/man/man1
-	rmdir debian/tmp/usr/share/calibre/man
 
 install/calibre::
 	# Create and install some of the man pages

## calibre 0.9.18+dfsg1

=== debian/changelog ===
calibre (0.9.18+dfsg1-1bzr) raring; urgency=low

  Upload current Debian packaging bzr head to fix unrar non-freeness problem
  in Ubuntu Raring. Repack the orig.tar to actually make the unrar bits (as
  well as markdown and mathjax) go away there.

  [ Dmitry Shachnev ]
  * Remove non-free bundled copy of unrar. (Closes: #704977, #702816)
  * Remove bundled copy of mathjax. (Closes: #700838)
  * Remove bundled copy of python-markdown.
  * Make get-orig-tarball downloading the correct version.
  * Remove *.pyc, *.qrc, *.so and *_ui.py files in clean target.

  [ Martin Pitt ]
  * dont_build_unrar_plugin.patch: Also remove "rar" as accepted file
    extension.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 23 Apr 2013 21:36:41 +0200

## calibre 0.9.27+dfsg

=== debian/changelog ===
calibre (0.9.27+dfsg-1) experimental; urgency=low

  Upload to experimental as unstable's mathjax version is too old.

  [ Dmitry Shachnev ]
  * Remove non-free bundled copy of unrar. (Closes: #704977, #702816)
  * Remove bundled copy of mathjax. (Closes: #700838)
  * Remove bundled copy of python-markdown.
  * Make get-orig-tarball downloading the correct version.
  * Remove *.pyc, *.qrc, *.so and *_ui.py files in clean target.

  [ Martin Pitt ]
  * New upstream release.
  * dont_build_unrar_plugin.patch: Also remove "rar" as accepted file
    extension.

 -- Martin Pitt <mpitt@debian.org>  Tue, 23 Apr 2013 21:58:12 +0200

=== debian/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
  python-cssutils (>= 0.9.9~),
  python-cssselect,
  python-cherrypy3,
+ python-markdown,
  python-pyparsing,
  python-routes,
  python-chardet,
@@ -54,6 +55,7 @@
  python-cherrypy3 (>= 3.1.1), 
  python-dateutil,
  python-feedparser,
+ python-markdown,
  python-qt4 (>= ${pyqt:Version}),
  python-pyparsing,
  python-routes,
@@ -63,6 +65,7 @@
  imagemagick,
  poppler-utils,
  fonts-liberation,
+ libjs-mathjax (>= 2.1+20121028-1),
  calibre-bin (>= ${source:Version}),
  ${misc:Depends}
 Recommends: python-dnspython

=== debian/rules ===
--- 
+++ 
@@ -29,6 +29,7 @@
 	rm debian/tmp/usr/lib/calibre/calibre/utils/pyparsing.py
 	rm debian/tmp/usr/lib/calibre/calibre/web/feeds/feedparser.py
 	find debian/tmp/ -name '*.py' | xargs sed -i 's/calibre.utils.pyparsing/pyparsing/g'
+	find debian/tmp/ -name '*.py' | xargs sed -i 's/calibre.ebooks.markdown/markdown/g'
 
 	# not needed
 	rm debian/tmp/usr/bin/calibre-uninstall
@@ -45,6 +46,10 @@
 	# do not ship a copy of fonts-liberation
 	rm -r debian/tmp/usr/share/calibre/fonts/liberation/
 	ln -s /usr/share/fonts/truetype/liberation/ debian/tmp/usr/share/calibre/fonts/liberation
+
+	# use system mathjax
+	rm -rf debian/tmp/usr/share/calibre/viewer/mathjax
+	ln -s /usr/share/javascript/mathjax debian/tmp/usr/share/calibre/viewer/mathjax
 
 	# fix executable permissions
 	find debian/tmp/usr/lib/calibre/calibre -type f | xargs chmod a-x
@@ -68,17 +73,24 @@
 	rm -rf debian/orig
 	[ ! -d build ] || $(SETUP) build -c
 	$(MAKE) -C debian/man clean
+	find . -name *.pyc -delete
+	find . -name *.so -delete
+	find . -name *.qrc -delete
+	find . -name *_ui.py -delete
 
-# Downloads the current upstream release according to
-# debian/changelog, and replace the non-free prs500 TTFs with symlinks
+# Downloads the current upstream release according to debian/changelog, removes
+# some bundled software copies and replaces the non-free prs500 TTFs with symlinks
 # to their free liberation fonts counterparts. This also updates the unpacked
 # source tree to the new upstream version.
 get-orig-source:
 	set -e; \
 	V=`dpkg-parsechangelog | sed -rn '/^Version:/ {s/^Version: ([0-9.]+).*$$/\1/; p}'`; \
 	mkdir -p debian/orig; cd debian/orig; \
-	wget -O - http://status.calibre-ebook.com/dist/src | xz -cd | tar x; \
+	wget -O - https://downloads.sourceforge.net/project/calibre/$$V/calibre-$$V.tar.xz | xz -cd | tar x; \
 	D=`pwd`; rm -f calibre*/src/odf/thumbnail.py; \
+	rm -rf calibre*/src/unrar; \
+	rm -rf calibre*/resources/viewer/mathjax; \
+	rm -rf calibre*/src/calibre/ebooks/markdown; \
 	cd calibre*/resources/fonts; \
 	rm prs500/tt0003m_.ttf; ln -s ../liberation/LiberationSans-Regular.ttf prs500/tt0003m_.ttf; \
 	rm prs500/tt0011m_.ttf; ln -s ../liberation/LiberationSerif-Regular.ttf prs500/tt0011m_.ttf; \

## calibre 0.9.31+dfsg

=== debian/changelog ===
calibre (0.9.31+dfsg-1build1) saucy; urgency=low

  * Rebuild against sip-api-10

 -- Scott Kitterman <scott@kitterman.com>  Thu, 20 Jun 2013 11:18:24 -0400

calibre (0.9.31+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Rebuild against current sip4 ABI, this makes the package installable
    again. (Closes: #708613)
  * Bump Standards-Version to 3.9.4, no changes necessary.

 -- Martin Pitt <mpitt@debian.org>  Tue, 21 May 2013 08:56:01 +0200

## calibre 0.9.41+dfsg

=== debian/changelog ===
calibre (0.9.41+dfsg-1) unstable; urgency=low

  * New upstream release.
  * debian/local/calibre.desktop: Rename to calibre-gui.desktop to match its
    window class. (LP: #1206687)
  * Add debian/local/ebook-viewer.desktop, so that one can directly open
    *.epub or *.mobi files in file browsers. Thanks Korey Lu!
    (Closes: #664182)
  * Make it possible to auto-start calibre when connecting an e-book reader
    device:
    - Add debian/local/mime/calibre.xml MIME association, install in
      debian/calibre.install.
    - debian/local/calibre-gui.desktop: Add MIME type and file argument.
    - Thanks to Thanks Korey Lu! (Closes: #715246)

 -- Martin Pitt <mpitt@debian.org>  Thu, 01 Aug 2013 18:17:22 +0200

=== debian/control ===
--- 
+++ 
@@ -36,7 +36,7 @@
  libchm-dev
 Maintainer: Miriam Ruiz <little_miry@yahoo.es>
 Uploaders: Martin Pitt <mpitt@debian.org>
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 XS-Python-Version: >= 2.7
 Homepage: http://calibre-ebook.com
 Vcs-Bzr: https://code.launchpad.net/~calibre-packagers/calibre/debian

## calibre 1.0.0+dfsg

=== debian/changelog ===
calibre (1.0.0+dfsg-1build1) saucy; urgency=low

  * No change rebuild to deal with sip4 issues (LP: #1221120)

 -- Scott Kitterman <scott@kitterman.com>  Mon, 14 Oct 2013 14:36:27 -0400

calibre (1.0.0+dfsg-1) unstable; urgency=low

  * New upstream release. (Closes: #720836)
  * debian/calibre.install: Drop usr/etc, not shipped by upstream any more.
  * debian/control: Add python-apsw dependency.

 -- Martin Pitt <mpitt@debian.org>  Mon, 26 Aug 2013 07:33:55 +0200

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 
 	# add icon
 	mkdir -p debian/tmp/usr/share/pixmaps/
-	cp manual/resources/logo.png debian/tmp/usr/share/pixmaps/calibre.png
+	cp manual/resources/logo.png debian/tmp/usr/share/pixmaps/calibre-gui.png
 
 	# remove bogus files on KFreeBSD installation
 	rm -rf debian/tmp/config

## calibre 1.5.0+dfsg

=== debian/changelog ===
calibre (1.5.0+dfsg-1) unstable; urgency=low

  * New upstream release. (Closes: #722962)
  * Drop removal of non-free fonts, they got removed upstream.
  * use_system_markdown.patch: Adjust for new upstream release.
  * Drop debian/local/calibre-mount-helper and its installation in
    debian/rules, upstream removed the mount-helper.
  * debian/local/calibre-gui.desktop: Add GenericName, thanks Ronny
    Standtke. (Closes: #662838)

 -- Martin Pitt <mpitt@debian.org>  Mon, 14 Oct 2013 12:12:07 +0200

## calibre 1.9.0+dfsg

=== debian/changelog ===
calibre (1.9.0+dfsg-1) unstable; urgency=low

  * New upstream release.
  * debian/calibre.install: Install new module.
  * Bump Standards-Version to 3.9.5, no changes necessary.

 -- Martin Pitt <mpitt@debian.org>  Mon, 04 Nov 2013 11:02:15 +0100

=== debian/control ===
--- 
+++ 
@@ -36,7 +36,7 @@
  libchm-dev
 Maintainer: Miriam Ruiz <little_miry@yahoo.es>
 Uploaders: Martin Pitt <mpitt@debian.org>
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 XS-Python-Version: >= 2.7
 Homepage: http://calibre-ebook.com
 Vcs-Bzr: https://code.launchpad.net/~calibre-packagers/calibre/debian
@@ -61,6 +61,7 @@
  python-routes,
  python-chardet,
  python-netifaces,
+ python-apsw,
  xdg-utils, 
  imagemagick,
  poppler-utils,

## calibre 1.14.0+dfsg

=== debian/changelog ===
calibre (1.14.0+dfsg-1) unstable; urgency=low

  * New upstream release. (Closes: #731502)
  * Depend on python-pil | python-imaging now, upstream source is compatible
    with both. (Closes: #731501)

 -- Martin Pitt <mpitt@debian.org>  Fri, 06 Dec 2013 08:28:47 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  python-setuptools,
  txt2man,
  python-qt4-dev (>= 4.8),
- python-imaging, 
+ python-pil | python-imaging, 
  python-lxml, 
  python-mechanize (>= 0.2.5), 
  python-beautifulsoup, 
@@ -45,7 +45,7 @@
 Architecture: all
 Depends: python2.7,
  python-dbus,
- python-imaging, 
+ python-pil | python-imaging, 
  python-lxml, 
  python-mechanize (>= 0.2.5),
  python-beautifulsoup,

=== debian/rules ===
--- 
+++ 
@@ -34,15 +34,6 @@
 	# not needed
 	rm debian/tmp/usr/bin/calibre-uninstall
 
-	# upstream's version is pretty crackful and suid root; replace with
-	# simple script to use udisks --mount (just in case we don't have
-	# automount) and eject
-	rm debian/tmp/usr/bin/calibre-mount-helper
-	install -m 755 debian/local/calibre-mount-helper debian/tmp/usr/bin/
-
-	# remove hardcoded prs500 fonts, so that calibre falls back to
-	# using the liberation ones in /usr/share/fonts/
-	rm -r debian/tmp/usr/share/calibre/fonts/prs500/
 	# do not ship a copy of fonts-liberation
 	rm -r debian/tmp/usr/share/calibre/fonts/liberation/
 	ln -s /usr/share/fonts/truetype/liberation/ debian/tmp/usr/share/calibre/fonts/liberation
@@ -91,10 +82,6 @@
 	rm -rf calibre*/src/unrar; \
 	rm -rf calibre*/resources/viewer/mathjax; \
 	rm -rf calibre*/src/calibre/ebooks/markdown; \
-	cd calibre*/resources/fonts; \
-	rm prs500/tt0003m_.ttf; ln -s ../liberation/LiberationSans-Regular.ttf prs500/tt0003m_.ttf; \
-	rm prs500/tt0011m_.ttf; ln -s ../liberation/LiberationSerif-Regular.ttf prs500/tt0011m_.ttf; \
-	rm prs500/tt0419m_.ttf; ln -s ../liberation/LiberationMono-Regular.ttf prs500/tt0419m_.ttf; \
 	cd $$D; tar c . | xz -9 > ../../../calibre_$$V+dfsg.orig.tar.xz; \
 	cd ../..; rm -r debian/orig; \
 	find -mindepth 1 -maxdepth 1 ! -name '.bzr*' ! -name debian | xargs rm -rf; \

## calibre 1.22.0+dfsg1

=== debian/changelog ===
calibre (1.22.0+dfsg1-1~bpo70+2) wheezy-backports; urgency=medium

  * Update Depends/Build-Depends with minimum package version:
    - python-lxml (>= 3.2.1)
    - python-cssselect (>= 0.7.1)

 -- Gary Preston <gary@mups.co.uk>  Wed, 26 Feb 2014 01:00:33 +0000

calibre (1.22.0+dfsg1-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Gary Preston <gary@mups.co.uk>  Mon, 10 Feb 2014 18:16:04 +0000

calibre (1.22.0+dfsg1-1) unstable; urgency=medium

  [ Gary Preston ]
  * get-orig-source:
    - Remove non-free manual/images/valid.png. (Closes: #735340)
    - Remove unnecessary and wrong gunzip switch from tar command.
    - wget original source for jquery ui and jquery multiselect and add them
      as *.js.orig next to their whitespace-compressed versions.
      (Closes: #735354)

 -- Martin Pitt <mpitt@debian.org>  Wed, 05 Feb 2014 07:22:28 +0100

calibre (1.22.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright: Update to 1.0 copyright standard. Thanks Felix Gruber!
    (LP: #737343)

 -- Martin Pitt <mpitt@debian.org>  Sun, 02 Feb 2014 10:46:11 +0100

=== debian/control ===
--- 
+++ 
@@ -9,13 +9,13 @@
  txt2man,
  python-qt4-dev (>= 4.8),
  python-pil | python-imaging, 
- python-lxml, 
+ python-lxml (>= 3.2.1), 
  python-mechanize (>= 0.2.5), 
  python-beautifulsoup, 
  python-dateutil, 
  python-pkg-resources,
  python-cssutils (>= 0.9.9~),
- python-cssselect,
+ python-cssselect (>= 0.7.1),
  python-cherrypy3,
  python-markdown,
  python-pyparsing,
@@ -46,12 +46,12 @@
 Depends: python2.7,
  python-dbus,
  python-pil | python-imaging, 
- python-lxml, 
+ python-lxml (>= 3.2.1), 
  python-mechanize (>= 0.2.5),
  python-beautifulsoup,
  python-pkg-resources,
  python-cssutils (>= 0.9.9~),
- python-cssselect,
+ python-cssselect (>= 0.7.1),
  python-cherrypy3 (>= 3.1.1), 
  python-dateutil,
  python-feedparser,

=== debian/rules ===
--- 
+++ 
@@ -70,19 +70,32 @@
 	find . -name *_ui.py -delete
 
 # Downloads the current upstream release according to debian/changelog, removes
-# some bundled software copies and replaces the non-free prs500 TTFs with symlinks
-# to their free liberation fonts counterparts. This also updates the unpacked
-# source tree to the new upstream version.
+# some bundled software copies, non-free image and replaces the non-free prs500
+# TTFs with symlinks to their free liberation fonts counterparts. This also
+# updates the unpacked source tree to the new upstream version and adds the
+# original non-minimized javascript source for jquery.
 get-orig-source:
 	set -e; \
 	V=`dpkg-parsechangelog | sed -rn '/^Version:/ {s/^Version: ([0-9.]+).*$$/\1/; p}'`; \
 	mkdir -p debian/orig; cd debian/orig; \
 	wget -O - https://downloads.sourceforge.net/project/calibre/$$V/calibre-$$V.tar.xz | xz -cd | tar x; \
+	\
+	wget -O - https://github.com/ehynds/jquery-ui-multiselect-widget/archive/1.5.tar.gz | tar zx; \
+	\
+	cp jquery-ui-multiselect-widget-1.5/src/jquery.multiselect.js calibre/resources/content_server/jquery.multiselect.min.js.orig; \
+	rm -rf 1.5.tar.gz jquery-ui-multiselect-widget-1.5; \
+	\
+	wget https://jqueryui.com/resources/download/jquery-ui-1.8.5.zip && unzip jquery-ui-1.8.5.zip; \
+	cp jquery-ui-1.8.5/ui/jquery-ui.js calibre/resources/content_server/jquery_ui/js/jquery-ui-1.8.5.custom.js.orig; \
+	rm -rf jquery-ui-1.8.5; \
+	rm jquery-ui-1.8.5.zip; \
+	\
 	D=`pwd`; rm -f calibre*/src/odf/thumbnail.py; \
 	rm -rf calibre*/src/unrar; \
 	rm -rf calibre*/resources/viewer/mathjax; \
 	rm -rf calibre*/src/calibre/ebooks/markdown; \
+	rm calibre*/manual/images/valid.png; \
 	cd $$D; tar c . | xz -9 > ../../../calibre_$$V+dfsg.orig.tar.xz; \
 	cd ../..; rm -r debian/orig; \
 	find -mindepth 1 -maxdepth 1 ! -name '.bzr*' ! -name debian | xargs rm -rf; \
-	[ ! -e setup.py ] || tar xzf ../calibre_$$V+dfsg.orig.tar.xz  --strip-components 2
+	[ ! -e setup.py ] || tar xf ../calibre_$$V+dfsg.orig.tar.xz --strip-components 2
